xpra icon
Bug tracker and wiki

This bug tracker and wiki are being discontinued
please use https://github.com/Xpra-org/xpra instead.


Opened 8 years ago

Last modified 9 months ago

#503 closed defect

compile problem cython 0.20 on archlinux — at Version 1

Reported by: Opsomer Owned by: Antoine Martin
Priority: minor Milestone: 0.12
Component: core Version: 0.11.x
Keywords: Cc:

Description (last modified by Antoine Martin)

archlinux 64
xpra-winswitch 0.11.1-1
=> xpra-winswitch dependencies:

  • python2 (already installed)
  • pygtk (already installed)
  • libxtst (already installed)
  • xorg-server-xvfb (already installed)
  • python2-imaging (already installed)
  • ffmpeg (already installed)
  • x264 (already installed)
  • xf86-video-dummy (already installed)
  • libwebp (already installed)
  • python2-distribute (already installed)
  • cython2 (already installed)

community/cython 0.20-1

Error compiling Cython file:
------------------------------------------------------------
...
                self.pixel_format = ARGB
            else:
                self.pixel_format = BGRA
        else:
            raise Exception("invalid image depth: %s bpp" % self.depth)
        assert self.pixel_format in RGB_FORMATS
                                ^
------------------------------------------------------------

compile fine with downgrade to cython2-0.19.2-1

Change History (1)

comment:1 Changed 8 years ago by Antoine Martin

Description: modified (diff)
Milestone: 0.12
Owner: changed from Antoine Martin to Antoine Martin
Status: newassigned

r5271 removes the offending line, which didn't do anything anyway. (will backport to v0.11.x)

Hopefully, this is the only problem with Cython 0.20, which I have only tested with win32 and OSX...

Note: See TracTickets for help on using tickets.